Subject: bug#5475: Archives with filenames with square brackets

From: Eli Zaretskii <[email-masked]>
Date: Fri, 29 Jan 2010 00:00:11 +0200

> From: Lennart Borgman <[email-masked]>
> Date: Thu, 28 Jan 2010 22:24:50 +0100
> Cc: Chong Yidong <[email-masked]>, [email-masked]
> 
> On Thu, Jan 28, 2010 at 10:05 PM, Eli Zaretskii <[email-masked]> wrote:
> >> From: Chong Yidong <[email-masked]>
> >> Cc: [email-masked], [email-masked]
> >> Date: Thu, 28 Jan 2010 15:07:09 -0500
> >>
> >> Eli Zaretskii <[email-masked]> writes:
> >>
> >> >> Well, archive-zip-extract already branches for pkzip/unzip
> >> >
> >> > Yes, but it does that by a user option, not by some hidden knowledge.
> >> > I won't mind introducing a similar option that would tell arc-mode to
> >> > quote the file arguments.
> >>
> >> Right, but once the user tells arc-mode to use unzip, we can
> >> automagically shell-quote the filename; there seems to be no reason not
> >> to.
> 
> 
> Excuse me, I did not follow this thread at all, but I get curious.
> What does shell-quote have to do with the arc-mode library? Does it
> use a shell at all?

No, it doesn't use the shell.  But "unzip" expands wildcards
internally, so wildcard characters need to be quoted if a file
includes them literally.

> Now that 7-zip is available on GNU/Linux too wouldn't it be very good
> to include support for it?

Patches are always welcome.